Package com.tibco.patterns.qbp

## Class ANetricsQueryBuilderBuilderBase.AndQlt

- java.lang.Object
- - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.AndQlt

- Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static class ANetricsQueryBuilderBuilderBase.AndQlt
      extends java.lang.Object

  Define one querylet of an AND score combiner. Score combiners have as part of their input NetricsQuery objects. The query object would come from a call to one of the query object generator methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AndQlt​(com.netrics.likeit.NetricsQuery querylet, java.lang.Double weight, java.lang.Double ignore_score, java.lang.Double reject_score)` | Create the definition of an AND querylet.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getIgnoreScore()` |
    `com.netrics.likeit.NetricsQuery` | `getQuerylet()` |
    `double` | `getRejectScore()` |
    `double` | `getWeight()` |
    `void` | `setQuerylet​(com.netrics.likeit.NetricsQuery querylet)` | Set the query to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndQlt

          public AndQlt​(com.netrics.likeit.NetricsQuery querylet,
                        java.lang.Double weight,
                        java.lang.Double ignore_score,
                        java.lang.Double reject_score)
                 throws java.lang.IllegalArgumentException

      Create the definition of an AND querylet.
      Parameters:
        `querylet` - the NetricsQuery object representing the querylet.
        `weight` - the weight factor for this querylet, if null this defaults to 1.0.
        `ignore_score` - the ignore threshold score for this querylet, if null ignore score processing is not performed for this querylet.
        `reject_score` - the reject score threshold for this querylet, if null reject score processing is not performed for this querylet).
      Throws:
        `java.lang.IllegalArgumentException` - if weight is given and not between 0.0 and 1.0, or if ignore_score or reject_score is given and not -2.0, -1.0 or between 0.0 and 1.0.

  - ### Method Detail

    - #### setQuerylet

          public void setQuerylet​(com.netrics.likeit.NetricsQuery querylet)

      Set the query to be used.
      Parameters:
        `querylet` - the query for this branch of the AND.

    - #### getQuerylet

          public com.netrics.likeit.NetricsQuery getQuerylet()

      Returns:
        the querylet object.
      Throws:
        `java.lang.IllegalStateException` - if no querylet has been set.

    - #### getWeight

          public double getWeight()

      Returns:
        the querylet weight factor.

    - #### getIgnoreScore

          public double getIgnoreScore()

      Returns:
        the querylet ignore score threshold.

    - #### getRejectScore

          public double getRejectScore()

      Returns:
        the querylet reject score threshold.